'use strict';

var http = require('http');

/**
 * return object identity
*/
Object.defineProperty(http.ServerResponse.prototype, Symbol.toStringTag, {
    get: function get() {
        return 'RServerResponse';
    }
});

/**
 * sends file intended for download to the client
 *@param {string} filePath - file relative path
 *@param {string} [filename] - suggested file download name that the browser uses while
 * saving the file. defaults to the files base name.
 *@param {Function} callback - the callback function to execute once the operation
 * completes or fails
*/
http.ServerResponse.prototype.download = function (filePath, filename, callback) {
    this.staticFileServer.serveDownload(this, filePath, filename, callback);
};

module.exports = http.ServerResponse;
