'use strict';

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();

var RouteWrapper = function () {

    /**
     *@param {Router} router - the router instance
     *@param {string} url - the route url to wrap around
    */
    function RouteWrapper(router, url) {
        classCallCheck(this, RouteWrapper);

        this.router = router;
        this.url = url;
    }

    /**
     * return object identity
    */


    createClass(RouteWrapper, [{
        key: 'options',


        /**
         * performs route rules for http OPTIONS method verb
         *@param {Function} callback - callback function
         *@param {Object} [options] - optional configuration options
         *@returns {RouteWrapper}
        */
        value: function options(callback, _options) {
            this.router.options(this.url, callback, _options);
            return this;
        }

        /**
         * performs route rules for http HEAD method verb
         *@param {Function} callback - callback function
         *@param {Object} [options] - optional configuration options
         *@returns {RouteWrapper}
        */

    }, {
        key: 'head',
        value: function head(callback, options) {
            this.router.head(this.url, callback, options);
            return this;
        }

        /**
         * performs route rules for http GET method verb
         *@param {Function} callback - callback function
         *@param {Object} [options] - optional configuration options
         *@returns {RouteWrapper}
        */

    }, {
        key: 'get',
        value: function get$$1(callback, options) {
            this.router.get(this.url, callback, options);
            return this;
        }

        /**
         * performs route rules for http POST method verb
         *@param {Function} callback - callback function
         *@param {Object} [options] - optional configuration options
         *@returns {RouteWrapper}
        */

    }, {
        key: 'post',
        value: function post(callback, options) {
            this.router.post(this.url, callback, options);
            return this;
        }

        /**
         * performs route rules for http PUT method verb
         *@param {Function} callback - callback function
         *@param {Object} [options] - optional configuration options
         *@returns {RouteWrapper}
        */

    }, {
        key: 'put',
        value: function put(callback, options) {
            this.router.put(this.url, callback, options);
            return this;
        }

        /**
         * performs route rules for http DELETE method verb
         *@param {Function} callback - callback function
         *@param {Object} [options] - optional configuration options
         *@returns {RouteWrapper}
        */

    }, {
        key: 'delete',
        value: function _delete(callback, options) {
            this.router.delete(this.url, callback, options);
            return this;
        }

        /**
         * performs route rules for all http method verbs
         *@param {Function} callback - callback function
         *@param {Object} [options] - optional configuration options
         *@returns {RouteWrapper}
        */

    }, {
        key: 'all',
        value: function all(callback, options) {
            this.router.all(this.url, callback, options);
            return this;
        }
    }, {
        key: Symbol.toStringTag,
        get: function get$$1() {
            return 'RouteWrapper';
        }
    }]);
    return RouteWrapper;
}();

module.exports = RouteWrapper;
